Package be.fgov.ehealth.etee.kgss._1_0.protocol

# Class CredentialType

java.lang.Object
be.fgov.ehealth.etee.kgss._1_0.protocol.CredentialType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class CredentialType extends Object implements Serializable

Java class for CredentialType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CredentialType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Namespace" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Value" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CredentialType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getNamespace()`
  Gets the value of the namespace property.
  `List<String>`
  `getValues()`
  Gets the value of the values property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setNamespace(String value)`
  Sets the value of the namespace property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CredentialType

    public CredentialType()

- ## Method Details

  - ### getNamespace

    public String getNamespace()
    Gets the value of the namespace property.
    Returns:
      possible object is `String`

  - ### setNamespace

    public void setNamespace(String value)
    Sets the value of the namespace property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValues

    public List<String> getValues()
    Gets the value of the values property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the values property.

    For example, to add a new item, do as follows:

         getValues().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the values property.